[88827] users/ryandesign/scripts/waitport

ryandesign at macports.org ryandesign at macports.org
Thu Jan 12 18:22:03 PST 2012


Revision: 88827
          http://trac.macports.org/changeset/88827
Author:   ryandesign at macports.org
Date:     2012-01-12 18:22:03 -0800 (Thu, 12 Jan 2012)
Log Message:
-----------
waitport: script to wait for MacPorts to finish

Added Paths:
-----------
    users/ryandesign/scripts/waitport

Added: users/ryandesign/scripts/waitport
===================================================================
--- users/ryandesign/scripts/waitport	                        (rev 0)
+++ users/ryandesign/scripts/waitport	2012-01-13 02:22:03 UTC (rev 88827)
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+# Waits for MacPorts to finish what it's doing, then exits.
+
+PORT="$(which port 2>&1)"
+
+if [ ! -x "$PORT" ]; then
+    echo "port command not found" 1>&2
+    exit 1
+fi
+
+while [ -n "$(ps aww | grep "/usr/bin/tclsh $PORT" | grep -v grep)" ]; do
+    sleep 1
+done


Property changes on: users/ryandesign/scripts/waitport
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20120112/6b231e99/attachment-0001.html>


More information about the macports-changes mailing list